kr.co.hanwha.hifive.screen.main.setting

## Interface MainSettingContract.View

- All Superinterfaces:
    BaseView<MainSettingContract.Presenter>
  All Known Implementing Classes:
    MainSettingFragment
  Enclosing interface:
    MainSettingContract

      public static interface MainSettingContract.View
      extends BaseView<MainSettingContract.Presenter>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAlarmSetting(boolean isSelected)` 알림 설정
    `void` | `setDefaultScreen()` 기본 화면
    `void` | `setMemberInfo(LoginData loginData)` 멤버 기본 정보
    `void` | `setVersion()` 버전 정보

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BaseView

      `showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToastAlert, showToastConfirm, showToastEmpty, showToastImpossible`

- - ### Method Detail

    - #### setMemberInfo

          void setMemberInfo(@NonNull
                             LoginData loginData)

      멤버 기본 정보
      Parameters:
        `loginData` - 로그인시 얻은 정보

    - #### setDefaultScreen

          void setDefaultScreen()

      기본 화면

    - #### setAlarmSetting

          void setAlarmSetting(boolean isSelected)

      알림 설정

    - #### setVersion

          void setVersion()

      버전 정보